Method: buyers.clients.users.create
Stay organized with collections
Save and categorize content based on your preferences.
-
A new client user can be created in an "INVITED" state with an email invitation sent for activation.
-
The request uses a POST method to the specified URL, following gRPC Transcoding syntax.
-
The request requires a parent path parameter specifying the client name.
-
The request body should contain an instance of ClientUser, and a successful response will return a new ClientUser instance.
-
The request needs the https://www.googleapis.com/auth/authorized-buyers-marketplace OAuth scope for authorization.
Creates a new client user in "INVITED" state. An email invitation will be sent to the new user, once accepted the user will become active.
HTTP request
POST https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{parent=buyers/*/clients/*}/users
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters |
parent |
string
Required. The name of the client. Format: buyers/{accountId}/clients/{clientAccountId}
|
Request body
The request body contains an instance of ClientUser.
Response body
If successful, the response body contains a newly created instance of ClientUser.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/authorized-buyers-marketplace
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],[]]